Get System Release

Get System Release
Retrieve the lowest deployed release of VMware Cloud Foundation

Returns release for the lowest deployed VCF version for a domain on the environment.If Management domain is ahead of WLD domain, VCF BOM version for the WLDdomain will be returned. Domain VCF release calculations consider SDDC-M, BOM stack components(life cycle managed by LCM eg: Vcenter, Esx, Nsx) to compute Management domain VCF version, BOM stack components(life cycle managed by LCM) to compute VI domain VCF version respectively. Eg: Management domain component stack versions: [SDDC-M: 5.2.1.0, VC: 8.0U3, NSX:4.2.1.3, ESX: 8.0U3]. VCF version computed will be 5.2.1.0. VI domain component stack versions: [VC: 9.0.0.0, NSX: 9.0.0.0, ESX: 9.0.0.0]. VCF version computed is 9.0.0.0 for VI domain.

Request
URI
GET
https://{api_host}/v1/releases/system
COPY
Responses
200

OK

Returns Release of type(s) application/json
{
    "product": "string",
    "version": "string",
    "minCompatibleVcfVersion": "string",
    "description": "string",
    "releaseDate": "string",
    "bom": [
        {
            "name": "string",
            "version": "string",
            "changeId": "string",
            "publicName": "string",
            "releaseURL": "string",
            "additionalMetadata": "string",
            "automatedInstall": false,
            "lifecycleManagedBy": "string"
        }
    ],
    "isApplicable": false,
    "notApplicableReason": "string",
    "sku": [
        {
            "name": "string",
            "description": "string",
            "skuSpecificPatchBundles": [
                {
                    "bundleType": "string",
                    "bundleVersion": "string",
                    "version": "string"
                }
            ],
            "bom": [
                {
                    "name": "string",
                    "version": "string",
                    "changeId": "string",
                    "publicName": "string",
                    "releaseURL": "string",
                    "additionalMetadata": "string",
                    "automatedInstall": false,
                    "lifecycleManagedBy": "string"
                }
            ]
        }
    ],
    "updates": [
        {
            "id": "string",
            "productName": "string",
            "baseProductVersion": "string",
            "description": "string",
            "releaseUpdateURL": "string",
            "releaseDate": "string"
        }
    ],
    "patchBundles": [
        {
            "bundleId": "string",
            "bundleType": "string",
            "bundleElements": [
                "string"
            ],
            "cumulativeFromVcfVersion": "string"
        }
    ],
    "eol": "string",
    "upgradeOrder": "string",
    "minInstallerVersion": "string"
}
string
product
Required   Read-Only  
Constraints: minLength: 1

Name of the product e.g. "VCF"

string
version
Required   Read-Only  
Constraints: minLength: 1

Version of the release

string
minCompatibleVcfVersion
Read-Only  

Minimum compatible VCF version, used to represent compatibility of SDDC Manager and VMware BOM components

string
description
Required   Read-Only  

Release description with all major features.

string
releaseDate
Required   Read-Only  

Release date e.g. 2020-06-08T02:20:15.844Z in yyyy-MM-dd'T'HH:mm:ss[.SSS]XXX ISO 8601 format

array of object
bom
Required   Read-Only  
Constraints: minItems: 1

Release bill of materials

boolean
isApplicable
Read-Only  

[Deprecated] Whether bundle is applicable or not.

string
notApplicableReason
Read-Only  

[Deprecated] Incompatibility reason for not applicable.

array of object
sku
Read-Only  

Release sku specific patch and bill of materials

array of object
updates
Read-Only  

Collection of release updates

array of object
patchBundles
Read-Only  

List of patch bundles in this release

string
eol
Read-Only  

Release eol information e.g. 2020-06-08T02:20:15.844Z in yyyy-MM-dd'T'HH:mm:ss[.SSS]XXX ISO 8601 format

string
upgradeOrder
Read-Only  

Custom upgrade order. Comma separated list of components in upgrade order. Supported components types: NSX_T_MANAGER, VCENTER, ESX_HOST.

string
minInstallerVersion
Read-Only  

Minimum installer version, e.g. 9.0.0.0


404

Release Not Found

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/releases/system